%define upstream_name    Pod-HTML2Pod
%define upstream_version 4.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Translate HTML into POD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Element)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::Tagset)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(UNIVERSAL)
BuildRequires: perl(integer)
BuildArch: noarch

%description
Larry Wall once said (1999-08-27, on the 'pod-people' list, I do believe):
"The whole point of pod is to get people to document stuff they wouldn't
document in any other form."

To that end, I wrote this module so that people who are unpracticed with
POD but in a hurry to simply document their programs or modules, could
write their documentation in simple HTML, and convert that to POD. That's
what this module does.

Specifically, this module bends over backwards to try to turn even vaguely
plausible HTML into POD -- and when in doubt, it simply ignores things that
it doesn't know about, or can't render.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml ChangeLog README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/html2pod



%changelog
* Thu Jun 26 2025 umeabot <umeabot> 4.50.0-10.mga10
+ Revision: 2200270
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 4.50.0-9.mga9
+ Revision: 1805239
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 4.50.0-8.mga8
+ Revision: 1496684
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 4.50.0-7.mga7
+ Revision: 1270546
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 4.50.0-6.mga6
+ Revision: 1032312
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 4.50.0-5.mga6
+ Revision: 948555
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 4.50.0-4.mga5
+ Revision: 787992
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 4.50.0-3.mga5
+ Revision: 740997
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.50.0-2.mga5
+ Revision: 686006
- Mageia 5 Mass Rebuild
+ tv <tv>
- fix summary

* Tue May 20 2014 tv <tv> 4.50.0-1.mga5
+ Revision: 624550
- imported package perl-Pod-HTML2Pod


* Tue May 20 2014 cpan2dist 4.05-1mga
- initial mageia release, generated with cpan2dist
